summaryrefslogtreecommitdiffstats
path: root/network/aMule/aMule.SlackBuild
diff options
context:
space:
mode:
author Iskar Enev2010-05-11 22:25:02 +0200
committer David Somero2010-05-11 22:25:02 +0200
commit93d03b6badf6b7581d7cf7a08414ed10d9189c24 (patch)
treeb185a0d67f9a8b7ee7de8aa0d8262fa33e83b3e8 /network/aMule/aMule.SlackBuild
parente5238e08f21729f7ebd6e80db27ec20ac8cbc8ee (diff)
downloadslackbuilds-93d03b6badf6b7581d7cf7a08414ed10d9189c24.tar.gz
network/aMule: Updated for version 2.2.2
Diffstat (limited to 'network/aMule/aMule.SlackBuild')
-rw-r--r--network/aMule/aMule.SlackBuild36
1 files changed, 19 insertions, 17 deletions
diff --git a/network/aMule/aMule.SlackBuild b/network/aMule/aMule.SlackBuild
index 9fe63a3449..2c992e6665 100644
--- a/network/aMule/aMule.SlackBuild
+++ b/network/aMule/aMule.SlackBuild
@@ -6,10 +6,11 @@
# Modified by the SlackBuilds.org project
PRGNAM=aMule
-VERSION=2.1.3
+VERSION=${VERSION:-2.2.2}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -19,24 +20,25 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-
-# This is an optional patch to build aMule 2.1.3 against new wxWidgets 2.8.0.
-# It fixes the "crash on search tab close" which is an wxWidgets bug,
-# not an aMule bug, and it's fixed on the 2.8.0 version.
-# Patch provided by arekm <arekm@pld-linux.org> and approved by the
-# aMule maintainer (see website)
-#cat $CWD/aMule-wx2.80.patch | patch -p1 || exit 1
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -46,13 +48,13 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--with-wx-config=/usr/bin/wx-config \
- || exit 1
-
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+ --disable-debug
+
+make
+make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)